#!/bin/bash

# This batch file is intended to be run from a Cygwin prompt

pushd ../Debug/addon/config/

# Note - game/bzgame_init.cfg is NOT upscaled here because it's been
# hand-edited after processing for larger fonts, but the same size
# cursor ingame. Most of the time now, it's not needed to re-upscale
# that file.

# Game
../../../Scripts/expandui.pl 1.5 _x1_5 editor/LGRES_bzeditor_object.cfg editor/LGRES_bzeditor_object1.cfg editor/bzeditor.cfg editor/bzeditor_camera.cfg editor/bzeditor_color.cfg editor/bzeditor_enter.cfg editor/bzeditor_environ.cfg editor/bzeditor_exit.cfg editor/bzeditor_fog.cfg editor/bzeditor_height.cfg editor/bzeditor_init.cfg editor/bzeditor_license.cfg editor/bzeditor_object.cfg editor/bzeditor_object1.cfg editor/bzeditor_path.cfg editor/bzeditor_rain.cfg editor/bzeditor_sky.cfg editor/bzeditor_stars.cfg editor/bzeditor_texture.cfg editor/bzeditor_water.cfg escape/bzescape.cfg escape/bzescape_egraphic.cfg escape/bzescape_egraphic2.cfg escape/bzescape_einput.cfg escape/bzescape_einput_default.cfg escape/bzescape_eload.cfg escape/bzescape_enter.cfg escape/bzescape_eplay.cfg escape/bzescape_esound.cfg escape/bzescape_esound2.cfg escape/bzescape_exit.cfg escape/bzescape_graphic.cfg escape/bzescape_graphic2.cfg escape/bzescape_input.cfg escape/bzescape_input_default.cfg escape/bzescape_load.cfg escape/bzescape_noreschange.cfg escape/bzescape_play.cfg escape/bzescape_sound.cfg escape/bzescape_sound2.cfg escape/bznopause.cfg escape/bznopause_enter.cfg escape/bznopause_exit.cfg escape/bznopause_game.cfg escape/bznopause_play.cfg game/bzgame_base.cfg game/bzgame_command.cfg game/bzgame_factory.cfg game/bzgame_group.cfg game/bzgame_info.cfg game/bzgame_satellite.cfg game/bzgame_scrap.cfg game/bzgame_stats.cfg game/bzgame_team.cfg game/bzgame_weapon.cfg shell/AIPDesc.cfg shell/RecDesc.cfg shell/RecDescFFA.cfg shell/RecDescMPI.cfg shell/bzshell_cam_move.cfg shell/bzshell_cam_record.cfg shell/bzshell_cin_cam_chase.cfg shell/bzshell_cin_cam_dolly.cfg shell/bzshell_cin_cam_pan.cfg shell/bzshell_cin_cam_rotate.cfg shell/bzshell_cin_camera.cfg shell/bzshell_credits.cfg shell/bzshell_init.cfg shell/bzshell_instant.cfg shell/bzshell_instant_xo_Blank.cfg shell/bzshell_instant_xo_Default.cfg shell/bzshell_load.cfg shell/bzshell_login.cfg shell/bzshell_login_warn_dupfiles.cfg shell/bzshell_main.cfg shell/bzshell_multi.cfg shell/bzshell_multi_chat.cfg shell/bzshell_multi_client_ctf.cfg shell/bzshell_multi_client_dm.cfg shell/bzshell_multi_client_dmnb.cfg shell/bzshell_multi_client_ffa.cfg shell/bzshell_multi_client_ffa2.cfg shell/bzshell_multi_client_ffa_10team.cfg shell/bzshell_multi_client_ffa_10team2.cfg shell/bzshell_multi_client_ffa_12team.cfg shell/bzshell_multi_client_ffa_12team2.cfg shell/bzshell_multi_client_ffa_14team.cfg shell/bzshell_multi_client_ffa_14team2.cfg shell/bzshell_multi_client_ffa_6team.cfg shell/bzshell_multi_client_ffa_6team2.cfg shell/bzshell_multi_client_ffa_8team.cfg shell/bzshell_multi_client_ffa_8team2.cfg shell/bzshell_multi_client_koth.cfg shell/bzshell_multi_client_loot.cfg shell/bzshell_multi_client_mpi.cfg shell/bzshell_multi_client_mpi2.cfg shell/bzshell_multi_client_mpi3.cfg shell/bzshell_multi_client_race.cfg shell/bzshell_multi_client_st.cfg shell/bzshell_multi_client_st2.cfg shell/bzshell_multi_client_stctf.cfg shell/bzshell_multi_client_stctf2.cfg shell/bzshell_multi_clientoption.cfg shell/bzshell_multi_ctf.cfg shell/bzshell_multi_dm.cfg shell/bzshell_multi_dmnb.cfg shell/bzshell_multi_end.cfg shell/bzshell_multi_ffa.cfg shell/bzshell_multi_ffa2.cfg shell/bzshell_multi_ffa_10team.cfg shell/bzshell_multi_ffa_10team2.cfg shell/bzshell_multi_ffa_12team.cfg shell/bzshell_multi_ffa_12team2.cfg shell/bzshell_multi_ffa_14team.cfg shell/bzshell_multi_ffa_14team2.cfg shell/bzshell_multi_ffa_6team.cfg shell/bzshell_multi_ffa_6team2.cfg shell/bzshell_multi_ffa_8team.cfg shell/bzshell_multi_ffa_8team2.cfg shell/bzshell_multi_gameopts.cfg shell/bzshell_multi_gameopts_client.cfg shell/bzshell_multi_irc.cfg shell/bzshell_multi_join.cfg shell/bzshell_multi_joinip.cfg shell/bzshell_multi_koth.cfg shell/bzshell_multi_loot.cfg shell/bzshell_multi_mpi.cfg shell/bzshell_multi_mpi2.cfg shell/bzshell_multi_mpi3.cfg shell/bzshell_multi_name.cfg shell/bzshell_multi_option.cfg shell/bzshell_multi_password.cfg shell/bzshell_multi_race.cfg shell/bzshell_multi_scanning.cfg shell/bzshell_multi_select.cfg shell/bzshell_multi_server_info.cfg shell/bzshell_multi_st.cfg shell/bzshell_multi_st2.cfg shell/bzshell_multi_stctf.cfg shell/bzshell_multi_stctf2.cfg shell/bzshell_multi_team.cfg shell/bzshell_multi_teamnames.cfg shell/bzshell_multi_vehicle.cfg shell/bzshell_multi_warn_badping.cfg shell/bzshell_multi_warn_downloadmap.cfg shell/bzshell_multi_warn_lockdown.cfg shell/bzshell_multi_warn_mods.cfg shell/bzshell_multi_warn_obsolete.cfg shell/bzshell_multi_warn_player.cfg shell/bzshell_multi_warn_unit.cfg shell/bzshell_multi_warn_webshield.cfg shell/bzshell_multi_warn_wrongversion.cfg shell/bzshell_option.cfg shell/bzshell_option_play.cfg shell/bzshell_sequence_edit.cfg shell/bzshell_single.cfg shell/bzshell_single_archive.cfg shell/bzshell_single_briefing.cfg shell/bzshell_single_debrief.cfg 
# Items hand-edited after processing once, so not in the above list
# shell/bzshell.cfg shell/bzshell_editor.cfg game/bzgame_init.cfg


../../../Scripts/expandui.pl 2 _x2_0 editor/LGRES_bzeditor_object.cfg editor/LGRES_bzeditor_object1.cfg editor/bzeditor.cfg editor/bzeditor_camera.cfg editor/bzeditor_color.cfg editor/bzeditor_enter.cfg editor/bzeditor_environ.cfg editor/bzeditor_exit.cfg editor/bzeditor_fog.cfg editor/bzeditor_height.cfg editor/bzeditor_init.cfg editor/bzeditor_license.cfg editor/bzeditor_object.cfg editor/bzeditor_object1.cfg editor/bzeditor_path.cfg editor/bzeditor_rain.cfg editor/bzeditor_sky.cfg editor/bzeditor_stars.cfg editor/bzeditor_texture.cfg editor/bzeditor_water.cfg escape/bzescape.cfg escape/bzescape_egraphic.cfg escape/bzescape_egraphic2.cfg escape/bzescape_einput.cfg escape/bzescape_einput_default.cfg escape/bzescape_eload.cfg escape/bzescape_enter.cfg escape/bzescape_eplay.cfg escape/bzescape_esound.cfg escape/bzescape_esound2.cfg escape/bzescape_exit.cfg escape/bzescape_graphic.cfg escape/bzescape_graphic2.cfg escape/bzescape_input.cfg escape/bzescape_input_default.cfg escape/bzescape_load.cfg escape/bzescape_noreschange.cfg escape/bzescape_play.cfg escape/bzescape_sound.cfg escape/bzescape_sound2.cfg escape/bznopause.cfg escape/bznopause_enter.cfg escape/bznopause_exit.cfg escape/bznopause_game.cfg escape/bznopause_play.cfg game/bzgame_base.cfg game/bzgame_command.cfg game/bzgame_factory.cfg game/bzgame_group.cfg game/bzgame_info.cfg game/bzgame_satellite.cfg game/bzgame_scrap.cfg game/bzgame_stats.cfg game/bzgame_team.cfg game/bzgame_weapon.cfg shell/AIPDesc.cfg shell/RecDesc.cfg shell/RecDescFFA.cfg shell/RecDescMPI.cfg shell/bzshell_cam_move.cfg shell/bzshell_cam_record.cfg shell/bzshell_cin_cam_chase.cfg shell/bzshell_cin_cam_dolly.cfg shell/bzshell_cin_cam_pan.cfg shell/bzshell_cin_cam_rotate.cfg shell/bzshell_cin_camera.cfg shell/bzshell_credits.cfg shell/bzshell_init.cfg shell/bzshell_instant.cfg shell/bzshell_instant_xo_Blank.cfg shell/bzshell_instant_xo_Default.cfg shell/bzshell_load.cfg shell/bzshell_login.cfg shell/bzshell_login_warn_dupfiles.cfg shell/bzshell_main.cfg shell/bzshell_multi.cfg shell/bzshell_multi_chat.cfg shell/bzshell_multi_client_ctf.cfg shell/bzshell_multi_client_dm.cfg shell/bzshell_multi_client_dmnb.cfg shell/bzshell_multi_client_ffa.cfg shell/bzshell_multi_client_ffa2.cfg shell/bzshell_multi_client_ffa_10team.cfg shell/bzshell_multi_client_ffa_10team2.cfg shell/bzshell_multi_client_ffa_12team.cfg shell/bzshell_multi_client_ffa_12team2.cfg shell/bzshell_multi_client_ffa_14team.cfg shell/bzshell_multi_client_ffa_14team2.cfg shell/bzshell_multi_client_ffa_6team.cfg shell/bzshell_multi_client_ffa_6team2.cfg shell/bzshell_multi_client_ffa_8team.cfg shell/bzshell_multi_client_ffa_8team2.cfg shell/bzshell_multi_client_koth.cfg shell/bzshell_multi_client_loot.cfg shell/bzshell_multi_client_mpi.cfg shell/bzshell_multi_client_mpi2.cfg shell/bzshell_multi_client_mpi3.cfg shell/bzshell_multi_client_race.cfg shell/bzshell_multi_client_st.cfg shell/bzshell_multi_client_st2.cfg shell/bzshell_multi_client_stctf.cfg shell/bzshell_multi_client_stctf2.cfg shell/bzshell_multi_clientoption.cfg shell/bzshell_multi_ctf.cfg shell/bzshell_multi_dm.cfg shell/bzshell_multi_dmnb.cfg shell/bzshell_multi_end.cfg shell/bzshell_multi_ffa.cfg shell/bzshell_multi_ffa2.cfg shell/bzshell_multi_ffa_10team.cfg shell/bzshell_multi_ffa_10team2.cfg shell/bzshell_multi_ffa_12team.cfg shell/bzshell_multi_ffa_12team2.cfg shell/bzshell_multi_ffa_14team.cfg shell/bzshell_multi_ffa_14team2.cfg shell/bzshell_multi_ffa_6team.cfg shell/bzshell_multi_ffa_6team2.cfg shell/bzshell_multi_ffa_8team.cfg shell/bzshell_multi_ffa_8team2.cfg shell/bzshell_multi_gameopts.cfg shell/bzshell_multi_gameopts_client.cfg shell/bzshell_multi_irc.cfg shell/bzshell_multi_join.cfg shell/bzshell_multi_joinip.cfg shell/bzshell_multi_koth.cfg shell/bzshell_multi_loot.cfg shell/bzshell_multi_mpi.cfg shell/bzshell_multi_mpi2.cfg shell/bzshell_multi_mpi3.cfg shell/bzshell_multi_name.cfg shell/bzshell_multi_option.cfg shell/bzshell_multi_password.cfg shell/bzshell_multi_race.cfg shell/bzshell_multi_scanning.cfg shell/bzshell_multi_select.cfg shell/bzshell_multi_server_info.cfg shell/bzshell_multi_st.cfg shell/bzshell_multi_st2.cfg shell/bzshell_multi_stctf.cfg shell/bzshell_multi_stctf2.cfg shell/bzshell_multi_team.cfg shell/bzshell_multi_teamnames.cfg shell/bzshell_multi_vehicle.cfg shell/bzshell_multi_warn_badping.cfg shell/bzshell_multi_warn_downloadmap.cfg shell/bzshell_multi_warn_lockdown.cfg shell/bzshell_multi_warn_mods.cfg shell/bzshell_multi_warn_obsolete.cfg shell/bzshell_multi_warn_player.cfg shell/bzshell_multi_warn_unit.cfg shell/bzshell_multi_warn_webshield.cfg shell/bzshell_multi_warn_wrongversion.cfg shell/bzshell_option.cfg shell/bzshell_option_play.cfg shell/bzshell_sequence_edit.cfg shell/bzshell_single.cfg shell/bzshell_single_archive.cfg shell/bzshell_single_briefing.cfg shell/bzshell_single_debrief.cfg 
# Items hand-edited after processing once, so not in the above list
# shell/bzshell.cfg shell/bzshell_editor.cfg game/bzgame_init.cfg

../../../Scripts/expandui.pl 2.5 _x2_5 editor/LGRES_bzeditor_object.cfg editor/LGRES_bzeditor_object1.cfg editor/bzeditor.cfg editor/bzeditor_camera.cfg editor/bzeditor_color.cfg editor/bzeditor_enter.cfg editor/bzeditor_environ.cfg editor/bzeditor_exit.cfg editor/bzeditor_fog.cfg editor/bzeditor_height.cfg editor/bzeditor_init.cfg editor/bzeditor_license.cfg editor/bzeditor_object.cfg editor/bzeditor_object1.cfg editor/bzeditor_path.cfg editor/bzeditor_rain.cfg editor/bzeditor_sky.cfg editor/bzeditor_stars.cfg editor/bzeditor_texture.cfg editor/bzeditor_water.cfg escape/bzescape.cfg escape/bzescape_egraphic.cfg escape/bzescape_egraphic2.cfg escape/bzescape_einput.cfg escape/bzescape_einput_default.cfg escape/bzescape_eload.cfg escape/bzescape_enter.cfg escape/bzescape_eplay.cfg escape/bzescape_esound.cfg escape/bzescape_esound2.cfg escape/bzescape_exit.cfg escape/bzescape_graphic.cfg escape/bzescape_graphic2.cfg escape/bzescape_input.cfg escape/bzescape_input_default.cfg escape/bzescape_load.cfg escape/bzescape_noreschange.cfg escape/bzescape_play.cfg escape/bzescape_sound.cfg escape/bzescape_sound2.cfg escape/bznopause.cfg escape/bznopause_enter.cfg escape/bznopause_exit.cfg escape/bznopause_game.cfg escape/bznopause_play.cfg game/bzgame_base.cfg game/bzgame_command.cfg game/bzgame_factory.cfg game/bzgame_group.cfg game/bzgame_info.cfg game/bzgame_satellite.cfg game/bzgame_scrap.cfg game/bzgame_stats.cfg game/bzgame_team.cfg game/bzgame_weapon.cfg shell/AIPDesc.cfg shell/RecDesc.cfg shell/RecDescFFA.cfg shell/RecDescMPI.cfg shell/bzshell_cam_move.cfg shell/bzshell_cam_record.cfg shell/bzshell_cin_cam_chase.cfg shell/bzshell_cin_cam_dolly.cfg shell/bzshell_cin_cam_pan.cfg shell/bzshell_cin_cam_rotate.cfg shell/bzshell_cin_camera.cfg shell/bzshell_credits.cfg shell/bzshell_init.cfg shell/bzshell_instant.cfg shell/bzshell_instant_xo_Blank.cfg shell/bzshell_instant_xo_Default.cfg shell/bzshell_load.cfg shell/bzshell_login.cfg shell/bzshell_login_warn_dupfiles.cfg shell/bzshell_main.cfg shell/bzshell_multi.cfg shell/bzshell_multi_chat.cfg shell/bzshell_multi_client_ctf.cfg shell/bzshell_multi_client_dm.cfg shell/bzshell_multi_client_dmnb.cfg shell/bzshell_multi_client_ffa.cfg shell/bzshell_multi_client_ffa2.cfg shell/bzshell_multi_client_ffa_10team.cfg shell/bzshell_multi_client_ffa_10team2.cfg shell/bzshell_multi_client_ffa_12team.cfg shell/bzshell_multi_client_ffa_12team2.cfg shell/bzshell_multi_client_ffa_14team.cfg shell/bzshell_multi_client_ffa_14team2.cfg shell/bzshell_multi_client_ffa_6team.cfg shell/bzshell_multi_client_ffa_6team2.cfg shell/bzshell_multi_client_ffa_8team.cfg shell/bzshell_multi_client_ffa_8team2.cfg shell/bzshell_multi_client_koth.cfg shell/bzshell_multi_client_loot.cfg shell/bzshell_multi_client_mpi.cfg shell/bzshell_multi_client_mpi2.cfg shell/bzshell_multi_client_mpi3.cfg shell/bzshell_multi_client_race.cfg shell/bzshell_multi_client_st.cfg shell/bzshell_multi_client_st2.cfg shell/bzshell_multi_client_stctf.cfg shell/bzshell_multi_client_stctf2.cfg shell/bzshell_multi_clientoption.cfg shell/bzshell_multi_ctf.cfg shell/bzshell_multi_dm.cfg shell/bzshell_multi_dmnb.cfg shell/bzshell_multi_end.cfg shell/bzshell_multi_ffa.cfg shell/bzshell_multi_ffa2.cfg shell/bzshell_multi_ffa_10team.cfg shell/bzshell_multi_ffa_10team2.cfg shell/bzshell_multi_ffa_12team.cfg shell/bzshell_multi_ffa_12team2.cfg shell/bzshell_multi_ffa_14team.cfg shell/bzshell_multi_ffa_14team2.cfg shell/bzshell_multi_ffa_6team.cfg shell/bzshell_multi_ffa_6team2.cfg shell/bzshell_multi_ffa_8team.cfg shell/bzshell_multi_ffa_8team2.cfg shell/bzshell_multi_gameopts.cfg shell/bzshell_multi_gameopts_client.cfg shell/bzshell_multi_irc.cfg shell/bzshell_multi_join.cfg shell/bzshell_multi_joinip.cfg shell/bzshell_multi_koth.cfg shell/bzshell_multi_loot.cfg shell/bzshell_multi_mpi.cfg shell/bzshell_multi_mpi2.cfg shell/bzshell_multi_mpi3.cfg shell/bzshell_multi_name.cfg shell/bzshell_multi_option.cfg shell/bzshell_multi_password.cfg shell/bzshell_multi_race.cfg shell/bzshell_multi_scanning.cfg shell/bzshell_multi_select.cfg shell/bzshell_multi_server_info.cfg shell/bzshell_multi_st.cfg shell/bzshell_multi_st2.cfg shell/bzshell_multi_stctf.cfg shell/bzshell_multi_stctf2.cfg shell/bzshell_multi_team.cfg shell/bzshell_multi_teamnames.cfg shell/bzshell_multi_vehicle.cfg shell/bzshell_multi_warn_badping.cfg shell/bzshell_multi_warn_downloadmap.cfg shell/bzshell_multi_warn_lockdown.cfg shell/bzshell_multi_warn_mods.cfg shell/bzshell_multi_warn_obsolete.cfg shell/bzshell_multi_warn_player.cfg shell/bzshell_multi_warn_unit.cfg shell/bzshell_multi_warn_webshield.cfg shell/bzshell_multi_warn_wrongversion.cfg shell/bzshell_option.cfg shell/bzshell_option_play.cfg shell/bzshell_sequence_edit.cfg shell/bzshell_single.cfg shell/bzshell_single_archive.cfg shell/bzshell_single_briefing.cfg shell/bzshell_single_debrief.cfg 
# Items hand-edited after processing once, so not in the above list
# shell/bzshell.cfg game/bzgame_init.cfg


../../../Scripts/expandui.pl 3 _x3_0 editor/LGRES_bzeditor_object.cfg editor/LGRES_bzeditor_object1.cfg editor/bzeditor.cfg editor/bzeditor_camera.cfg editor/bzeditor_color.cfg editor/bzeditor_enter.cfg editor/bzeditor_environ.cfg editor/bzeditor_exit.cfg editor/bzeditor_fog.cfg editor/bzeditor_height.cfg editor/bzeditor_init.cfg editor/bzeditor_license.cfg editor/bzeditor_object.cfg editor/bzeditor_object1.cfg editor/bzeditor_path.cfg editor/bzeditor_rain.cfg editor/bzeditor_sky.cfg editor/bzeditor_stars.cfg editor/bzeditor_texture.cfg editor/bzeditor_water.cfg escape/bzescape.cfg escape/bzescape_egraphic.cfg escape/bzescape_egraphic2.cfg escape/bzescape_einput.cfg escape/bzescape_einput_default.cfg escape/bzescape_eload.cfg escape/bzescape_enter.cfg escape/bzescape_eplay.cfg escape/bzescape_esound.cfg escape/bzescape_esound2.cfg escape/bzescape_exit.cfg escape/bzescape_graphic.cfg escape/bzescape_graphic2.cfg escape/bzescape_input.cfg escape/bzescape_input_default.cfg escape/bzescape_load.cfg escape/bzescape_noreschange.cfg escape/bzescape_play.cfg escape/bzescape_sound.cfg escape/bzescape_sound2.cfg escape/bznopause.cfg escape/bznopause_enter.cfg escape/bznopause_exit.cfg escape/bznopause_game.cfg escape/bznopause_play.cfg game/bzgame_base.cfg game/bzgame_command.cfg game/bzgame_factory.cfg game/bzgame_group.cfg game/bzgame_info.cfg game/bzgame_satellite.cfg game/bzgame_scrap.cfg game/bzgame_stats.cfg game/bzgame_team.cfg game/bzgame_weapon.cfg shell/AIPDesc.cfg shell/RecDesc.cfg shell/RecDescFFA.cfg shell/RecDescMPI.cfg shell/bzshell_cam_move.cfg shell/bzshell_cam_record.cfg shell/bzshell_cin_cam_chase.cfg shell/bzshell_cin_cam_dolly.cfg shell/bzshell_cin_cam_pan.cfg shell/bzshell_cin_cam_rotate.cfg shell/bzshell_cin_camera.cfg shell/bzshell_credits.cfg shell/bzshell_editor.cfg shell/bzshell_init.cfg shell/bzshell_instant.cfg shell/bzshell_instant_xo_Blank.cfg shell/bzshell_instant_xo_Default.cfg shell/bzshell_load.cfg shell/bzshell_login.cfg shell/bzshell_login_warn_dupfiles.cfg shell/bzshell_main.cfg shell/bzshell_multi.cfg shell/bzshell_multi_chat.cfg shell/bzshell_multi_client_ctf.cfg shell/bzshell_multi_client_dm.cfg shell/bzshell_multi_client_dmnb.cfg shell/bzshell_multi_client_ffa.cfg shell/bzshell_multi_client_ffa2.cfg shell/bzshell_multi_client_ffa_10team.cfg shell/bzshell_multi_client_ffa_10team2.cfg shell/bzshell_multi_client_ffa_12team.cfg shell/bzshell_multi_client_ffa_12team2.cfg shell/bzshell_multi_client_ffa_14team.cfg shell/bzshell_multi_client_ffa_14team2.cfg shell/bzshell_multi_client_ffa_6team.cfg shell/bzshell_multi_client_ffa_6team2.cfg shell/bzshell_multi_client_ffa_8team.cfg shell/bzshell_multi_client_ffa_8team2.cfg shell/bzshell_multi_client_koth.cfg shell/bzshell_multi_client_loot.cfg shell/bzshell_multi_client_mpi.cfg shell/bzshell_multi_client_mpi2.cfg shell/bzshell_multi_client_mpi3.cfg shell/bzshell_multi_client_race.cfg shell/bzshell_multi_client_st.cfg shell/bzshell_multi_client_st2.cfg shell/bzshell_multi_client_stctf.cfg shell/bzshell_multi_client_stctf2.cfg shell/bzshell_multi_clientoption.cfg shell/bzshell_multi_ctf.cfg shell/bzshell_multi_dm.cfg shell/bzshell_multi_dmnb.cfg shell/bzshell_multi_end.cfg shell/bzshell_multi_ffa.cfg shell/bzshell_multi_ffa2.cfg shell/bzshell_multi_ffa_10team.cfg shell/bzshell_multi_ffa_10team2.cfg shell/bzshell_multi_ffa_12team.cfg shell/bzshell_multi_ffa_12team2.cfg shell/bzshell_multi_ffa_14team.cfg shell/bzshell_multi_ffa_14team2.cfg shell/bzshell_multi_ffa_6team.cfg shell/bzshell_multi_ffa_6team2.cfg shell/bzshell_multi_ffa_8team.cfg shell/bzshell_multi_ffa_8team2.cfg shell/bzshell_multi_gameopts.cfg shell/bzshell_multi_gameopts_client.cfg shell/bzshell_multi_irc.cfg shell/bzshell_multi_join.cfg shell/bzshell_multi_joinip.cfg shell/bzshell_multi_koth.cfg shell/bzshell_multi_loot.cfg shell/bzshell_multi_mpi.cfg shell/bzshell_multi_mpi2.cfg shell/bzshell_multi_mpi3.cfg shell/bzshell_multi_name.cfg shell/bzshell_multi_option.cfg shell/bzshell_multi_password.cfg shell/bzshell_multi_race.cfg shell/bzshell_multi_scanning.cfg shell/bzshell_multi_select.cfg shell/bzshell_multi_server_info.cfg shell/bzshell_multi_st.cfg shell/bzshell_multi_st2.cfg shell/bzshell_multi_stctf.cfg shell/bzshell_multi_stctf2.cfg shell/bzshell_multi_team.cfg shell/bzshell_multi_teamnames.cfg shell/bzshell_multi_vehicle.cfg shell/bzshell_multi_warn_badping.cfg shell/bzshell_multi_warn_downloadmap.cfg shell/bzshell_multi_warn_lockdown.cfg shell/bzshell_multi_warn_mods.cfg shell/bzshell_multi_warn_obsolete.cfg shell/bzshell_multi_warn_player.cfg shell/bzshell_multi_warn_unit.cfg shell/bzshell_multi_warn_webshield.cfg shell/bzshell_multi_warn_wrongversion.cfg shell/bzshell_option.cfg shell/bzshell_option_play.cfg shell/bzshell_sequence_edit.cfg shell/bzshell_single.cfg shell/bzshell_single_archive.cfg shell/bzshell_single_briefing.cfg shell/bzshell_single_debrief.cfg 
# Items hand-edited after processing once, so not in the above list
# shell/bzshell.cfg shell/bzshell_editor.cfg game/bzgame_init.cfg

# Testing form, only one file
# ../../../Scripts/expandui.pl 2 _x2_0 game/bzgame_base.cfg


# Ensure MS-DOS line-endings, then move items to subdirectories
flip -m shell/*.cfg
flip -m escape/*.cfg
flip -m game/*.cfg
flip -m editor/*.cfg

mkdir -p shell/x1_5 
mv shell/*x1_5.cfg shell/x1_5 
mkdir -p shell/x2_0 
mv shell/*x2_0.cfg shell/x2_0 
mkdir -p shell/x2_5 
mv shell/*x2_5.cfg shell/x2_5
mkdir -p shell/x3_0 
mv shell/*x3_0.cfg shell/x3_0 

mkdir -p escape/x1_5 
mv escape/*x1_5.cfg escape/x1_5 
mkdir -p escape/x2_0 
mv escape/*x2_0.cfg escape/x2_0 
mkdir -p escape/x2_5 
mv escape/*x2_5.cfg escape/x2_5
mkdir -p escape/x3_0 
mv escape/*x3_0.cfg escape/x3_0 

mkdir -p game/x1_5 
mv game/*x1_5.cfg game/x1_5
mkdir -p game/x2_0 
mv game/*x2_0.cfg game/x2_0 
mkdir -p game/x2_5 
mv game/*x2_5.cfg game/x2_5
mkdir -p game/x3_0 
mv game/*x3_0.cfg game/x3_0 

mkdir -p editor/x1_5 
mv editor/*x1_5.cfg editor/x1_5
mkdir -p editor/x2_0 
mv editor/*x2_0.cfg editor/x2_0 
mkdir -p editor/x2_5 
mv editor/*x2_5.cfg editor/x2_5
mkdir -p editor/x3_0 
mv editor/*x3_0.cfg editor/x3_0 

# Back to starting directory
popd



